Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.OFDDoc Class Reference
Inheritance diagram for FoxitPDFSDKPython3.OFDDoc:

## Public Member Functions
def | OFDDoc ()
| Constructor. More...
def | GetPage (index)
| Get OFD page object by index. More...
def | GetPageCount ()
| Get page count of current OFD document. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | Release ()
| Release current OFD document object. More...

## Detailed Description

This class is used to get information of an OFD document. Please ensure FoxitPDFSDKPython3.Library.InitializeOFDEngine has been called successfully before using this class.

See also
  FoxitPDFSDKPython3.Library

## Constructor & Destructor Documentation

## ◆ OFDDoc()

def FoxitPDFSDKPython3.OFDDoc.OFDDoc | ( |  | ) |

Constructor.

Constructor, with another OFD document object.

Constructor, from an existing OFD file path.

Parameters

  [in] | path | A full path of an existing PDF file. It should not be an empty string.
  [in] | password | Password for the OFD file. It should be an empty string if the OFD file is not encrypted.
  [in] | other | Another OFD document object.

## Member Function Documentation

## ◆ GetPage()

def FoxitPDFSDKPython3.OFDDoc.GetPage | ( |  | index | ) |

Get OFD page object by index.

Parameters

  [in] | index | Index of the page. Valid range: from 0 to (page_count-1). page_count returned by function FoxitPDFSDKPython3.OFDDoc.GetPageCount .

Returns
  OFD page object.

## ◆ GetPageCount()

def FoxitPDFSDKPython3.OFDDoc.GetPageCount | ( |  | ) |

Get page count of current OFD document.

Returns
  Page count of current OFD document.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.OFDDoc.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Release()

def FoxitPDFSDKPython3.OFDDoc.Release | ( |  | ) |

Release current OFD document object.

Please call this function before FoxitPDFSDKPython3.Library.ReleaseOFDEngine to release current OFD document object.

Returns
  None.